<template>
    <div :class="['offer-page', `offer-page--${designType}`]">
        <div :class="['header']">
            <img v-if="designType === 'PlanetLearn'" src="~/assets/images/PlanetLearnLogo.svg" alt="PlanetLearn"  title="Planet Learn, logo" class="header__logo" @click="switchDesignType" />
            <img v-else src="~/assets/images/SmartStudyLogo.svg" alt="SmartStudy"  title="Smart Study, logo" class="header__logo" @click="switchDesignType"/>
        </div>
   
        <div class="offer-page__container">
            <div class="offer-page__elem call-to-action--pc">
                <call-to-action v-if="!isMobile" :design-type="designType" />
            </div>    
            <img v-if="designType === 'SmartStudy'" src="~/assets/images/Moon.svg" title="moon" alt="" class="moon"/>

            <div :class="['offer-page__trial-box', `offer-page__trial-box--${designType}`]">
                <img v-if="designType === 'PlanetLearn'" src="~/assets/images/Asteroid.svg" title="Asteroid" alt="" class="asteroid"/>
                <img v-if="designType === 'SmartStudy'" src="~/assets/images/Rocket.svg" title="Rocket" alt="" class="rocket"/>

                <trial-conditions :design-type="designType" :promo-status="promoStatus" />
                <div :class="`offer-page__card--${designType}`">
                    <div class="call-to-action--mobile">
                        <call-to-action v-if="isMobile" :design-type="designType"/>
                    </div>
                    
                    <benefits-list :design-type="designType"/>
                </div>
            </div>
        </div>
    </div>
 
</template>
  
<script>
import { mapGetters } from 'vuex';
import CallToAction from '../../components/offer/CallToAction.vue';
import BenefitsList from '../../components/offer/BenefitsList.vue';
import TrialConditions from '../../components/offer/TrialConditions.vue';

export default {
    name: 'OfferPage',
    components: { CallToAction, BenefitsList, TrialConditions },
    data(){
        return {
            designType: 'SmartStudy',
            isMobile: false,
            cookies: null,
        }
    },
    computed: {
        ...mapGetters({
            promoStatus: 'ABTest/getPromoStatus',
        }),
        isClient() {
            return process.client;
        },
    },
    mounted() {
        
        if (this.isClient) {
            this.isMobile = window.innerWidth <= 768;
        }
        this.cookies = document.cookie.split(';');
      
        for (const cookie of this.cookies) {
            const [name, value] = cookie.trim().split('=');
            if(name === 'ABTest') this.designType = value;
            if(name === 'PromoTimer') {
                this.$store.commit('ABTest/setPromoTime', parseInt(value));
            }
        }
    },
    methods:{
      switchDesignType() {
        this.designType = (this.designType === 'SmartStudy' ? 'PlanetLearn' : 'SmartStudy');
      }
    }
}
</script>

<style lang="scss" scoped>
.header{
    padding-left: 20px;
    padding-top: 8px;
    @media screen and (min-width: 768px) {
        padding-left: 135px;
        margin-bottom: 65px;
    } 
}
.offer-page{
    height: 100vh;
    @media screen and (min-width: 768px) {
        height: 100vh;
    } 
    &--PlanetLearn {
        background-image: url('../../assets/images/PlanetLearnBackground.svg'); 
    }
    &--SmartStudy {
        background-image: url('../../assets/images/SmartStudyBackground.svg');
        background-position: 50% 50%;
        background-repeat: no-repeat;
        background-size: cover;
        overflow: hidden;
    }
    &__container{
        padding: 20px;

        display: flex;
        justify-content: center;
        align-items: center;
    
    }
    &__card{
        &--SmartStudy{
            border-radius: 24px;
            background: rgba(0, 0, 0, 0.60);
            padding: 16px;
            @media screen and (min-width: 768px) {
                background: none;
                padding: 0px;
            } 
        }
    }
    &__trial-box{
        position: relative;
        z-index: 3;
        width: 474px;
        @media screen and (min-width: 768px) {
            
        }
        
        &--SmartStudy{
            @media screen and (min-width: 768px) {
                padding: 24px;
                border-radius: 32px;
                border: 4px solid rgba(255, 255, 255, 0.40);
                background: rgba(0, 0, 0, 0.40);
                backdrop-filter: blur(10px);
            }
        }   
        &--PlanetLearn{  
            @media screen and (min-width: 768px) {
                padding: 24px;
                border-radius: 24px;
                border: 1px solid #CDCDCD;
                background: #FFF;
                box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.06);
            }
        }
    }
    .call-to-action{
        display: block;
        &--pc{  
            @media screen and (max-width: 768px) {
                display: none;
            }              
        }
        &--mobile{
            @media screen and (min-width: 768px) {
                display: none;
            } 
        }
    }
}
.asteroid{ 
    display: none;
    @media screen and (min-width: 768px) {
                display: inline-block;
                position: absolute;
                left: 250px;
                top: -65px;
    } 
}
.moon{
    display: none;
    @media screen and (min-width: 768px) {
                display: inline-block;
                position: relative;
                left: 45px;
                top: -265px;
                z-index: 1;
    } 
}
.rocket{
    display: none;
    @media screen and (min-width: 1200px) {
                display: inline-block;
                position: absolute;
                left: 350px;
                top: 80px;         
    } 
}
</style>